## guest-templates 0.1

=== mk/Makefile ===
include $(B_BASE)/common.mk
include $(B_BASE)/rpmbuild.mk

REPO = $(call hg_loc,guest-templates)
RPM_BINDIR = $(RPM_RPMSDIR)/$(DOMAIN0_ARCH_OPTIMIZED)

.PHONY: build
build: srpm $(MY_SOURCES)/MANIFEST
	$(RPMBUILD) --target $(DOMAIN0_ARCH_OPTIMIZED) -bb $(RPM_SPECSDIR)/guest-templates.spec
	mkdir -p $(MY_OUTPUT_DIR) $(MY_MAIN_PACKAGES)
	# Deliberately omit the debuginfo RPM (v6d-debuginfo-0...)
	cp $(RPM_BINDIR)/guest-templates-0*.rpm $(MY_MAIN_PACKAGES)

.PHONY: srpm
srpm:
	mkdir -p $(RPM_SRPMSDIR) $(RPM_SPECSDIR) $(RPM_SOURCESDIR) $(RPM_RPMSDIR)
	hg archive -p guest-templates-0 -t tbz2 $(RPM_SOURCESDIR)/guest-templates-0.tar.bz2
	install ../guest-templates.spec $(RPM_SPECSDIR)
	$(RPMBUILD) --target $(DOMAIN0_ARCH_OPTIMIZED) -bs $(RPM_SPECSDIR)/guest-templates.spec

$(MY_SOURCES)/MANIFEST: $(MY_SOURCES_DIRSTAMP)
	rm -f $@
	/bin/sh ./srpms-to-manifest guest-templates $(MY_OUTPUT_DIR)/SRPMS > $@

.PHONY: clean
clean:
	rm -f $(OUTPUT)
	$(MAKE) -C $(REPO) clean

=== debian/changelog ===
guest-templates (0.1-4) unstable; urgency=low

  * Adds templates for  both 32 and 64 bits Wheezy.

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Jul 2012 16:52:15 +0000

guest-templates (0.1-3) unstable; urgency=low

  * Initial release (Closes: #646717)
  * 0.1-3: Fix an issue where the path was incorrect
  * 0.1-2: FHS compliant installation

 -- Jon Ludlam <jonathan.ludlam@eu.citrix.com>  Thu, 08 Dec 2011 14:15:30 +0000

=== debian/control ===
Source: guest-templates
Section: admin
Priority: extra
Maintainer: PKG Xen Devel <pkg-xen-devel@lists.alioth.debian.org>
Uploaders: Jon Ludlam <jonathan.ludlam@eu.citrix.com>, Mike McClurg <mike.mcclurg@citrix.com>, Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 8), dh-ocaml, ocaml-nox | ocaml, omake, libxenapi-ocaml-dev
Standards-Version: 3.9.2
Vcs-Git: http://anonscm.debian.org/git/pkg-xen/xcp-guest-templates.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-xen/xcp-guest-templates.git;a=summary
Homepage: https://github.com/xen-org

Package: xcp-guest-templates
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, xcp-xapi
Enhances: xcp-xapi
Description: Guest template generator for XCP
 The Xen Cloud Platform (XCP) is an open source enterprise-ready server
 virtualization and cloud computing platform, with support for a range of
 guest operating systems, Linux network and storage support.
 .
 XCP addresses the needs of cloud providers, hosting services and data centers
 by combining the isolation and multitenancy capabilities of the Xen hypervisor
 with enhanced security, storage and network virtualization technologies to
 offer a rich set of virtual infrastructure cloud services. The platform
 also address user requirements for security, availability, performance and
 isolation across both private and public clouds.
 .
 XCP consolidates server workloads, enables savings in power, cooling, and
 management costs and thus contributing to environmentally sustainable
 computing, an increased ability to adapt to ever-changing IT environments,
 an optimized use of existing hardware, and an improved level of IT
 reliability.
 .
 This package installs a program that will create guest installation templates
 for XCP. This program is meant to be run once by xapi itself.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

  
%:
	dh $@ --with ocaml

override_dh_auto_build:   
	dh_auto_build
	OCAMLPATH=/usr/lib/ocaml/xcp omake
	cp 61-regenerate-old-templates regenerate-templates
	rm -f create_templates
	cp create_templates.opt create_templates
	touch REGENERATE_TEMPLATES

override_dh_clean:
	dh_clean  
	omake clean || true
	rm -f *.omc .omakedb .omakedb.lock
	rm -f regenerate-old-templates REGENERATE_TEMPLATES regenerate-templates

=== debian/watch ===
version=3
http://github.com/mcclurmc/xcp-guest-templates/tags /mcclurmc/xcp-guest-templates/tarball/master/(.*)
